Package ru.bitel.bgbilling.kernel.script.common.bean

# Class EventScriptLink

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.script.common.bean.EventScriptLink

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class EventScriptLink extends IdTitle
Привязка функции скрипта поведения к динамическим Java-классам.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventScriptLink()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Возвращает имя класса.
  `String`
  `getEventKey()`
  Возвращает код события.
  `int`
  `getScriptId()`
  Возвращает код скрипта.
  `EventScriptLink`
  `setClassName(String className)`
  Устанавливает имя класса.
  `EventScriptLink`
  `setEventKey(String eventKey)`
  Устанавливает код события.
  `EventScriptLink`
  `setId(int id)`
  Устанавливает id объекта
  `EventScriptLink`
  `setScriptId(int scriptId)`
  Устанавливает код скрипта.
  `EventScriptLink`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### EventScriptLink

    public EventScriptLink()

- ## Method Details

  - ### getClassName

    public String getClassName()
    Возвращает имя класса.
    Returns:

  - ### getEventKey

    public String getEventKey()
    Возвращает код события.
    Returns:

  - ### getScriptId

    public int getScriptId()
    Возвращает код скрипта.
    Returns:

  - ### setClassName

    public EventScriptLink setClassName(String className)
    Устанавливает имя класса.
    Parameters:
      `className` -

  - ### setEventKey

    public EventScriptLink setEventKey(String eventKey)
    Устанавливает код события.
    Parameters:
      `eventId` -

  - ### setId

    public EventScriptLink setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`
    Parameters:
      `id` - id

  - ### setScriptId

    public EventScriptLink setScriptId(int scriptId)
    Устанавливает код скрипта.
    Parameters:
      `scriptId` -

  - ### setTitle

    public EventScriptLink setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`